#! /bin/make
##############################################
# Makefile for the 'mvPropView' sample,
# == DO NOT CHANGE !!! ==
##############################################
#-------------------------------------------
DEST:=$(shell basename `pwd`)

#-------------------------------------------
ROOT_PATH=../..

#-------------------------------------------
BINARY_NAME=wxPropView
MODULE_NAME=PropViewFrame

#-------------------------------------------
OOBJ =										\
	CaptureThread.o							\
	DataConversion.o						\
	DevCtrl.o								\
	PropData.o								\
	SpinEditorDouble.o						\
	spinctld.o								\
	PropTree.o								\
	ImageCanvas.o							\
	HistogramCanvas.o						\
	LineProfileCanvas.o						\
	DrawingCanvas.o

#-------------------------------------------
vpath %.cpp ..

#-----------------------------------------
LOC_LIB_PATH=$(WORK)/lib/$(TARGET)

#-------------------------------------------
# 'WX_CONF_TOOL' will be set in Makefile.samp.inc
#-------------------------------------------
WXRELEASE=$(shell $(WX_CONF_TOOL) --release)
WXLIBFLAGS=$(shell $(WX_CONF_TOOL) --unicode=no --libs)
WXCXXFLAGS=$(shell $(WX_CONF_TOOL) --unicode=no --cxxflags)

#-------------------------------------------
MV_LIBS =								\
	-L$(LOC_LIB_PATH)					\
		-lmvDeviceManager				\
		-lmvPropHandling				\
		-lwxPropGrid					\


#-------------------------------------------
USR_INCLS =								\

#-------------------------------------------
USR_LIBS =								\
	$(ADD_LIBS)

#-------------------------------------------
LDOPT_1 =								\
	$(WXLIBFLAGS)						\

#-------------------------------------------
CPPFLAGS_1 = 							\
	$(WXCXXFLAGS)						\

#	-DUSE_RAW_BITMAP_SUPPORT

#-------------------------------------------
include $(ROOT_PATH)/Makefile.samp.inc

#-------------------------------------------
#-------------------------------------------

