//-----------------------------------------------------------------------------
#ifndef mvDeviceManagerPrivateH
#define mvDeviceManagerPrivateH mvDeviceManagerPrivateH
//-----------------------------------------------------------------------------

/// If this GUID is stored into TDMR_DeviceInfo.serial when calling 
/// DMR_GetDeviceInfo the result will be returned encrypted.
/// This header will NEVER be passed to the customer.
const char DEV_MGR_MAGIC_SERIAL[] = "CC9C00F3-6ABB-473e-9693-312247FDB4F3";
/// \brief The suffix for the global mutex for each device
///
/// The mutex name is constructed from the serial number as a string
/// followed by this suffix.
const char DEV_MUTEX_NAME_SUFFIX[] = "_Mutex";

#endif // mvDeviceManagerPrivateH
