#! /bin/make
##############################################
# Makefile for the 'mvDeviceConfigure' sample,
# == DO NOT CHANGE !!! ==
##############################################
#-------------------------------------------
DEST:=$(shell basename `pwd`)

#-------------------------------------------
ROOT_PATH=../..

#-------------------------------------------
BINARY_NAME=mvDeviceConfigure
MODULE_NAME=DeviceConfigureFrame

#-------------------------------------------
OOBJ =										\
	DeviceListCtrl.o						\
	LogOutputConfigurationDlg.o				\
	LogOutputHandlerDlg.o					\
	DebugFileParser.o						\
	KernelDriverUpdate.o

#-------------------------------------------
vpath %.cpp ..:../linux

#-----------------------------------------
LOC_LIB_PATH=$(WORK)/lib/$(TARGET)

#-------------------------------------------
# 'WX_CONF_TOOL' will be set in Makefile.samp.inc
#-------------------------------------------
WXRELEASE=$(shell $(WX_CONF_TOOL) --release)
WXLIBFLAGS=$(shell $(WX_CONF_TOOL) --unicode=no --libs)
WXCXXFLAGS=$(shell $(WX_CONF_TOOL) --unicode=no --cxxflags)

#-------------------------------------------
MV_LIBS =								\
	-L$(LOC_LIB_PATH)					\
		-lmvDeviceManager				\
		-lmvPropHandling				\
		-lwxPropGrid					\

#-------------------------------------------
USR_INCLS =								\

#-------------------------------------------
USR_LIBS =								\
	$(ADD_LIBS)

#-------------------------------------------
LDOPT_1 =								\
	$(WXLIBFLAGS)						\

#-------------------------------------------
CPPFLAGS_1 = 							\
	$(WXCXXFLAGS)						\

#-------------------------------------------
include $(ROOT_PATH)/Makefile.samp.inc

#-------------------------------------------
#-------------------------------------------

